EDIT - feature request #7927

Registration not found, Portal handling registrations in preparation
11/26/2018 07:57 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Problem: When http-Identifier are inserted in a manuscript, authors or editors or copy editors are checking the link.

Example http:/phycobank.org/100518

The registration will not be shown in (i)Vaadin and (ii) in the Phycobank user interface (Portal):
The display is:

Registration not found

A registration with the identifier http://phycobank.org/100518 does not exist.

It would be great, to have an information about the status of the requested Id (exist - does not exist, in preparation, is rejected)
Suggestion for the Portal:
Registration not found

A registration with the identifier http://phycobank.org/100518 does not exist.
[only displayed if there is no unpublished record, in this case the record is prepared]

Registration not published
A registration with the identifier http:/phycobank.org/100518 is in preparation.

Registration not published
A registration with the identifier http://phycobank.org/100518 is rejected.

The question is, if "curation" is needed as information, because it is a subtask of "preparation”.
Furthermore it might be interesting to have a respective note in Vaadin (nice to have).

[Currently, | have to explain authors and editors, why the Links to PhycoBank are "broken"].

Related issues:
Related to PhycoBank - task #7012: Workflow with Pensoft In Progress
Has duplicate EDIT - feature request #7802: Portal-Info when an http-identifi... Duplicate

Associated revisions

Revision ebbad310 - 01/08/2019 04:24 PM - Andreas Kohlbecker

ref #7927 /registration/identifier/**/status web service implemented

Revision 1e7459da - 01/08/2019 04:25 PM - Andreas Kohlbecker

fix #7927 showing status of not published registrations

Revision 6¢9d417d - 01/09/2019 04:53 PM - Andreas Kohlbecker

ref #7927 fixing bug in registration status check

Revision 5fdcad30 - 02/05/2019 04:46 PM - Andreas Kohlbecker

ref #7927 showing registration status in drupal message box

History
#1 - 12/03/2018 11:39 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

#2 - 01/08/2019 04:25 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|1e7459da9a060990ee80a817782e997aa410beb8.

#3 - 01/08/2019 04:26 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

ready, please review.

#4 - 01/09/2019 04:27 PM - Andreas Kohlbecker
You can use the following URLSs for testing:

e http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F %252Fphycobank.org%252F100118

¢ http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F 100119
e http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252F phycobank.org%252F100120
e http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F100123

#5 - 01/09/2019 04:53 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 80

All given examples are working well (cross check with Vaadin), but...

If a non existing number is chosen/typed in be a user, such as:

http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/reqgistration/http%253A%252F %252Fphycobank.org%252F 100124

The display is:

"A registration with the identifier http://phycobank.org/100124 is "

What about:

"A registration with the identifier http://phycobank.org/100124 is not existing" ?

#6 - 01/09/2019 05:05 PM - Wolf-Henning Kusber
- % Done changed from 80 to 90

The treatment of not-existing registration numbers is fine with me. The ticket can be closed.

#7 - 01/09/2019 05:05 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 90 to 80

Wolf-Henning Kusber wrote:

All given examples are working well (cross check with Vaadin), but...

If a non existing number is chosen/typed in be a user, such as:

The display is:
"A registration with the identifier http:/phycobank.org/100124 is "
What about:

"A registration with the identifier http:/phycobank.org/100124 is not existing" ?

This problem has just been fixed by cdm-dataportal|6c9d417d
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/6c9d417d52b043914f4a12544eaac6d3ccc3dca3

#8 - 01/09/2019 05:06 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

#9 - 01/11/2019 09:05 AM - Andreas Kohlbecker

- Has duplicate feature request #7802: Portal-Info when an http-identifier "in preparation” is requested added

#10 - 02/18/2019 09:21 AM - Andreas Kohlbecker
- Related to task #7012: Workflow with Pensoft added
